Redundant entries for hammer lifecycle-environment update --help

04/02/2014 03:54 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1077372 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1077372

Description of problem:

Seeing duplicated entries for the help text displayed for lifecycle-environment update command

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.25-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.25-1.el6sam.noarch

candlepin-tomcat6-0.8.25-1.el6sam.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.8-1.el6sat.noarch

foreman-postgresql-1.5.0.8-1.el6sat.noarch

foreman-proxy-1.5.2-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-17.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.4-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. hammer lifecycle-environment update --help

2.

3.

Actual results:
1. hammer lifecycle-environment update --help

Usage:

hammer lifecycle-environment update [OPTIONS]

Options:

--description DESCRIPTION     description of the environment

--id ID                       The id

--id ID                       resource id

--name NAME                   The name of the resource

--new-name NEW_NAME           new name to be given to the environment

--organization-id ORGANIZATION The ID of the organization which the resource belongs to

--organization-id ORGANIZATION_ID name of the organization

--prior PRIOR                 Name of an environment that is prior to the new environment in the chain. It has to be either ‘Library’ or an

environment at the end of a chain.

-h, --help                    print help

Expected results:

Additional info:

History

#1 - 06/03/2014 02:45 PM - Bryan Kearney

- Status changed from New to Closed

- Triaged set to No

downstream bug is closed. Closing this as well.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
